Loading...
Searching...
No Matches
ojph::image_in_base Class Referenceabstract

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::image_in_base:

## Public Member Functions

virtual | ~image_in_base ()
virtual ui32 | read (const line_buf *line, ui32 comp_num)=0
virtual void | close ()

## Detailed Description

Definition at line 66 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## ~image_in_base()

virtual ojph::image_in_base::~image_in_base | ( |  | ) |

inline virtual

Definition at line 69 of file ojph_img_io.h.

## Member Function Documentation

## close()

virtual void ojph::image_in_base::close | ( |  | ) |

inline virtual

Reimplemented in ojph::dpx_in, ojph::pfm_in, ojph::ppm_in, ojph::raw_in, and ojph::yuv_in.

Definition at line 71 of file ojph_img_io.h.

Referenced by main().

## read()

virtual ui32 ojph::image_in_base::read | ( | const line_buf * | line,
|  | ui32 | comp_num )

pure virtual

Implemented in ojph::dpx_in, ojph::pfm_in, ojph::ppm_in, ojph::raw_in, and ojph::yuv_in.

Referenced by main().

The documentation for this class was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/apps/common/ojph_img_io.h